Function
convertPairWiseToGlobalAlignment
Converts pair-wise alignments to a multiple global alignment.
convertPairWiseToGlobalAlignment(store, pairwiseContigGaps)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
pairwiseContigGaps | A string of anchored contig gaps for every pairwise alignment.

Remarks
Before calling this function the gaps structures in the contigStore must be empty, i.e. there are no gaps in the contig. The pairwise alignment gaps of the reads are stored in the gaps structure in the alignedReadStore, whereas the pairwise alignment gaps of the contig are stored in the pairwiseContigGaps string.
After calling this functions all positions in the alignedReadStore are in gap-space.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46